import json
from functools import wraps

from flask_jwt_extended import get_jwt_identity

def admin_required(users):
    @wraps(users)
    def admin_rights(func):
        """ Admin Rights."""
        @wraps(func)
        def wrapper_function(*args, **kwargs):
            try:
                cur_user = [
                    user for user in users if user['email'] == get_jwt_identity()]
                user_role = cur_user[0]['role']
                if user_role != 'admin':
                    return {
                        'message': 'This activity can only be completed by the admin'}, 403  # Forbidden
                return func(*args, **kwargs)
            except Exception as e:
                return {"message": e}

        return wrapper_function
    return admin_rights
